<mat-sidenav-container>

  <div id="board">

    <!-- HEADER -->
    <div class="header secondColorBrand p-16 p-mat-24" [ngClass]="'mat-bg'" fxLayout="column" ngstyle="getStyleHeight('header')">

      <div class="main-widget">

        <div class="position-relative p-24 {{colorSeleted}}" fxLayout="row" fxLayoutAlign="space-between center">
          <div fxLayout="column" fxLayoutAlign="start start">
            <div fxLayout="row" fxLayoutAlign="start center">
              <button class="mr-16" mat-icon-button [routerLink]="'/transactions'">
                <mat-icon class="white-fg font-weight-600">arrow_back</mat-icon>
              </button>
              <span class="h1 font-weight-600  white-fg">{{title}}</span>
            </div>
          </div>
          <div fxLayout="row" fxLayoutAlign="start center">
            <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer">
              <div class="h1 font-size-36 font-weight-500 white-fg">&nbsp;&nbsp;{{balanceSuccess | currency:
                'BRL'}}&nbsp;&nbsp;</div>
            </div>
          </div>
        </div>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

        <div class="content p-24 w-100-p mat-white-bg" fxFlex="100">

            <form [formGroup]="transactionsForm" novalidate>
              <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                <div fxFlex="30" fxLayoutAlign="center center">
                  <!-- <input matInput class="light-blue-fg" [matDatepicker]="startDate" placeholder="Pesquisar por Período"
                    formControlName="startDate">
                  <mat-datepicker-toggle class="light-blue-fg" matSuffix [for]="startDate"></mat-datepicker-toggle>
                  <mat-datepicker #startDate disabled="false"></mat-datepicker> -->

                  <div id="control_wrapper" style="padding-left:1px;">
                      <ejs-daterangepicker placeholder='Select a range' [startDate]='start' [endDate]='end' width="120%"></ejs-daterangepicker>
                      </div>
                  </div>

                <!-- <mat-form-field fxFlex="20" fxLayoutAlign="center center">
                  <input matInput class="light-blue-fg" [matDatepicker]="endDate" placeholder="Período Final"
                    formControlName="endDate">
                  <mat-datepicker-toggle class="light-blue-fg" matSuffix [for]="endDate"></mat-datepicker-toggle>
                  <mat-datepicker #endDate disabled="false"></mat-datepicker>
                </mat-form-field>

                <div fxFlex="30">
                  <button mat-raised-button style="width: 60%" class="mat-accent mr-16" (click)="filter()">
                    <span>Filtrar</span>
                  </button>
                </div> -->

                <div fxFlex="40">
                    <div fxFlex="1"></div>
                    <div fxFlex="4" style="padding-top: 22px; ">
                      <mat-icon >search</mat-icon>
                    </div>
                  <mat-form-field fxFlex="95">
                    <input matInput placeholder="Buscar" >
                  </mat-form-field>
                </div>
              </div>
            </form>

        </div>

        <!-- <br>
                            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                            <div class="transaction-card  h-240 auto-width">

                                    <div class="mat-light-blue-600-bg">
            
                                        <div class="p-16" fxLayout="row" fxLayoutAlign="space-between center">
                                            <div class="pr-16">
                                                <div class="h1 font-weight-300">Total</div>
                                                <div class="h5 secondary-text">valor total do período selecionado</div>
                                            </div>
                                        </div>
                                        <mat-divider></mat-divider>
                                        <div class="p-16 pt-8" fxLayout="row" fxLayoutAlign="space-between end">
                                            <div class="font-size-40 font-weight-300 line-height-1">{{(balanceAvailable+balanceSuccess) | currency: 'BRL'}}</div>
                                            <div fxLayout="row" fxLayoutAlign="start center">
                                                <mat-icon>trending_up</mat-icon>
                                            </div>
                                        </div>
                                    
                                    </div>
                                    <div class="h-60 my-16">
                                            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="padding-bottom: 10px;">
                                                <div fxFlex="55" >
                                                    <div fxLayout="column" fxLayoutAlign="start start">
                                                        <div fxLayout="row" fxLayoutAlign="start start">
                                                            <div class="h3 orange-fg font-weight-300">&nbsp;&nbsp;Disponível para retirada</div>
                                                        </div>
                                                    </div>
                                                </div>
                                                
                                                <div fxFlex="45" >
                                                    <div fxLayout="column" fxLayoutAlign="end end">
                                                        <div fxLayout="row" fxLayoutAlign="end end">
                                                                <div class="h3 orange-fg  font-weight-300">{{balanceAvailable | currency: 'BRL'}}&nbsp;&nbsp;</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <mat-divider></mat-divider>
                                            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="padding-top: 7px;">
                                                    <div fxFlex="55" >
                                                        <div fxLayout="column" fxLayoutAlign="start start">
                                                            <div fxLayout="row" fxLayoutAlign="start start">
                                                                <div class="h3 light-blue-fg  font-weight-300">&nbsp;&nbsp;Pagamento efetuado</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                
                                                    <div fxFlex="45" >
                                                        <div fxLayout="column" fxLayoutAlign="end end">
                                                            <div fxLayout="row" fxLayoutAlign="end end">
                                                                    <div class="h3 light-blue-fg font-weight-300">{{balanceSuccess | currency: 'BRL'}}&nbsp;&nbsp;</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                    </div>
                                </div>
                            </div> -->

        <!-- </div> -->

        <!-- <div class="fuse-card auto-width " fxFlex="70">

                            <div class="position-relative p-24"
                                fxLayout="row" fxLayoutAlign="space-between center">
                                <div fxLayout="column" fxLayoutAlign="start start">
                                    <div fxLayout="row">
                                        <mat-icon class="logo-icon mr-16 orange-fg" >show_chart</mat-icon>
                                        <span class="logo-text h1 orange-fg" >Disponível para retirada</span>
                                    </div>
                                    <div fxLayout="row" fxLayoutAlign="start start">
                                        <mat-icon class="logo-icon mr-16 light-blue-fg" >show_chart</mat-icon>
                                        <span class="logo-text h1 light-blue-fg" >Pagamento efetuado</span>
                                    </div>
                                </div>
                                <div fxLayout="row" fxLayoutAlign="start center">
                                    
                                </div>
                            </div>

                            <div class="position-relative h-340 pb-16">
                                <canvas baseChart
                                        [datasets]="widget5.datasets[widget5SelectedDay]"
                                        [labels]="widget5.labels"
                                        [colors]="widget5.colors"
                                        [options]="widget5.options"
                                        [chartType]="widget5.chartType">
                                </canvas>
                            </div>

                        </div>  -->

      </div>

    </div>


    <div class="board-content-wrapper p-16 p-mat-24 white-100-bg" ngstyle="getStyleHeight('board')">

      <div class="content-card mat-white-bg">

        <mat-table class="transactions-table" #table [dataSource]="dataSource" [@animateStagger]="{value:'50'}"
          fusePerfectScrollbar matSort matSortActive="dueDate" matSortDirection="desc" matSortDisableClear>

          <ng-container cdkColumnDef="dueDate">
            <mat-header-cell *cdkHeaderCellDef mat-sort-header class="font-size-14 white-fg font-weight-600">Data do
              Vencimento</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="text-truncate">{{element.dueDate | date: 'dd/MM/yyyy'}}</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="brand">
            <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Marca </mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="text-truncate">{{element.brandObj?.name}}</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="customer">
            <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Cliente </mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="text-truncate">Pedro</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="licensePlate">
            <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Placa </mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="text-truncate">ADF-5543</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="paymentType">
            <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Tipo de Pagamento</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="text-truncate">{{element.paymentType ? PaymentStatusEnum(element.paymentType) : 'Boleto'}}</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="origin">
            <mat-header-cell *cdkHeaderCellDef mat-sort-header class="font-size-14 white-fg font-weight-600">Tipo de
              Transação</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="text-truncate">{{transectionsOriginEnumToString(element.origin)}}</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="amount">
            <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Valor Bruto
            </mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="font-weight-600 " [ngClass]="(element.type == 'REVENUE')?'green-fg' : 'red-fg'">{{element.grossAmount
                | currency: 'BRL'}}</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="deductedAmount">
            <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Valor Líquido</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="font-weight-600 " [ngClass]="(element.type == 'REVENUE')?'green-fg' : 'red-fg'">{{element.deductibleAmount
                ? (element.deductibleAmount
                | currency: 'BRL') : ( 0 | currency: 'BRL') }}</p>
            </mat-cell>
          </ng-container>

          <ng-container cdkColumnDef="status">
            <mat-header-cell *cdkHeaderCellDef mat-sort-header class="font-size-14 white-fg font-weight-600">Status</mat-header-cell>
            <mat-cell *cdkCellDef="let element">
              <p class="text-truncate light-blue-fg">{{PaymentCreditCardEnumToString(element.status)}}</p>
            </mat-cell>
          </ng-container>

          <mat-header-row *matHeaderRowDef="displayedColumns" [ngClass]="secondColorBrand"></mat-header-row>
          <mat-row *cdkRowDef="let row; columns: displayedColumns;" class="product" matRipple (click)="showTransactionDetailDialog(row)">
          </mat-row>
        </mat-table>

        <mat-paginator [length]="resultLength" [pageSize]="10" [pageSizeOptions]="[10, 25, 50]"></mat-paginator>

      </div>

    </div>

  </div>

</mat-sidenav-container>
